/***************************************************************************
 *   Copyright (C) 2010 by the Alterverse team                             *
    *   email: rynkruger@gmail.com                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write see:                           *
 *               <http://www.gnu.org/licenses/>.                           *
 ***************************************************************************/

/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class org_alterverse_speech_EspeakSpeechEngine */

#ifndef _Included_org_alterverse_speech_EspeakSpeechEngine
#define _Included_org_alterverse_speech_EspeakSpeechEngine
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     org_alterverse_speech_EspeakSpeechEngine
 * Method:    create
 * Signature: ()V
 */
JNIEXPORT jboolean JNICALL Java_org_alterverse_speech_EspeakSpeechEngine_create
  (JNIEnv *, jobject);

/*
 * Class:     org_alterverse_speech_EspeakSpeechEngine
 * Method:    speak
 * Signature: (Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_org_alterverse_speech_EspeakSpeechEngine_speak
  (JNIEnv *, jobject, jstring);

/*
 * Class:     org_alterverse_speech_EspeakSpeechEngine
 * Method:    getRate
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_org_alterverse_speech_EspeakSpeechEngine_getRate
  (JNIEnv *, jobject);

/*
 * Class:     org_alterverse_speech_EspeakSpeechEngine
 * Method:    setRate
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_org_alterverse_speech_EspeakSpeechEngine_setRate
  (JNIEnv *, jobject, jint);

/*
 * Class:     org_alterverse_speech_EspeakSpeechEngine
 * Method:    getPitch
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_org_alterverse_speech_EspeakSpeechEngine_getPitch
  (JNIEnv *, jobject);

/*
 * Class:     org_alterverse_speech_EspeakSpeechEngine
 * Method:    setPitch
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_org_alterverse_speech_EspeakSpeechEngine_setPitch
  (JNIEnv *, jobject, jint);

/*
 * Class:     org_alterverse_speech_EspeakSpeechEngine
 * Method:    getVoice
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_org_alterverse_speech_EspeakSpeechEngine_getVoice
  (JNIEnv *, jobject);

/*
 * Class:     org_alterverse_speech_EspeakSpeechEngine
 * Method:    setVoice
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_org_alterverse_speech_EspeakSpeechEngine_setVoice
  (JNIEnv *, jobject, jint);

/*
 * Class:     org_alterverse_speech_EspeakSpeechEngine
 * Method:    getAvailableVoices
 * Signature: ()[Ljava/lang/String;
 */
JNIEXPORT jobjectArray JNICALL Java_org_alterverse_speech_EspeakSpeechEngine_getAvailableVoices
  (JNIEnv *, jobject);

/*
 * Class:     org_alterverse_speech_EspeakSpeechEngine
 * Method:    destroy
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_org_alterverse_speech_EspeakSpeechEngine_destroy
  (JNIEnv *, jobject);

#ifdef __cplusplus
}
#endif
#endif
